Skip to main content
GET
/
orders
Get List of Orders
curl --request GET \
  --url https://api.kyckr.com/v2/orders \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.kyckr.com/v2/orders"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.kyckr.com/v2/orders', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "orderId": 12345,
  "correlationId": "<string>",
  "customerReference": "<string>",
  "timeStamp": "2023-11-07T05:31:56Z",
  "details": "<string>",
  "cost": {
    "type": "credit",
    "value": 3
  },
  "links": {
    "self": "/orders/12345"
  },
  "data": [
    {
      "orderId": "12345",
      "orderDate": "2023-01-01T00:00:00Z",
      "customerReference": "<string>",
      "cost": {
        "type": "credit",
        "value": 3
      },
      "user": "/users/12345",
      "productDetails": {
        "productName": "Annual Accounts 2021-22",
        "productId": "ROWOFF_SVRBX0VDUF8wMQ==_RXh0ZW5kZWQgUHJvZmlsZQ==",
        "productCategory": "Financial Information",
        "productType": "BO_PROFILE",
        "schemaVersion": "2.0"
      },
      "companyDetails": {
        "companyName": "Kyckr Limited",
        "companyNumber": "R123456",
        "kyckrID": "IE|UjEyMzQ1Ng=="
      },
      "links": {
        "data": "/orders/12345/download?format=json",
        "document": "/orders/12345/download?format=pdf"
      }
    }
  ]
}
{
"orderId": 12345,
"correlationId": "string",
"customerReference": "string",
"timeStamp": "2019-08-24T14:15:22Z",
"details": "string",
"cost": {
"type": "credit",
"value": 0
},
"links": {
"self": "../dictionary"
},
"data": {
"type": "https://httpstatuses.com/400",
"title": "Missing Parameter",
"detail": "The `isoCode` parameter is required",
"errors": []
}
}
{
"orderId": 12345,
"correlationId": "string",
"customerReference": "string",
"timeStamp": "2019-08-24T14:15:22Z",
"details": "string",
"cost": {
"type": "credit",
"value": 0
},
"links": {
"self": "../dictionary"
},
"data": {
"type": "https://httpstatuses.com/401",
"title": "Unauthorized",
"detail": "Please authorize before making requests",
"errors": []
}
}
{
"orderId": 12345,
"correlationId": "string",
"customerReference": "string",
"timeStamp": "2019-08-24T14:15:22Z",
"details": "string",
"cost": {
"type": "credit",
"value": 0
},
"links": {
"self": "../dictionary"
},
"data": {
"type": "https://httpstatuses.com/403",
"title": "Forbidden",
"detail": "This feature is not available on this account",
"errors": []
}
}
{
"orderId": 12345,
"correlationId": "string",
"customerReference": "string",
"timeStamp": "2019-08-24T14:15:22Z",
"details": "string",
"cost": {
"type": "credit",
"value": 0
},
"links": {
"self": "../dictionary"
},
"data": {
"type": "https://httpstatuses.com/429",
"title": "Too Many Requests",
"detail": "This service only allows 50 requests within a 10 minute period",
"errors": []
}
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

startDate
string

Earliest date to fetch orders for in ISO-8601

endDate
string

Latest date to fetch orders for in ISO-8601

isoCode
string

Jurisdiction code in ISO 3166 alpha-2

Response

OK

orderId
number

The related orderId.

Example:

12345

correlationId
string

The related correlationId to this request, for support purposes.

customerReference
string

A customer provided reference, which appears in the order list.

timeStamp
string<date-time>

The UTC time at which the request occurred.

details
string

The response status details for the current request.

cost
object

Cost of an item

data
OrderDetails · object[]